<?php

namespace Util;

use Util\Repositories;
//use HCM\Util\Mail\Mail;
//use HCM\Util\NewFileServer\NewFileServer;

use Teknisa\Libs\Util\SMTP;
use Zeedhi\Framework\DependencyInjection\InstanceManager;
use Zeedhi\Framework\DataSource\FilterCriteria;

class Util {
    
    private static $remover_especiais = array(
                                            "ª" => "", "º" => "", "à" => "a","á" => "a","ã" => "a","â" => "a","é" => "e"," è" => "e", "ê" => "e","ì" => "i","í" => "i","î" => "i",
                                            
                                            "ó" => "o", "õ" => "o","ô" => "o","ò" => "o","ú" => "u","ù" => "u","ü" => "u","ç" => "c","Ç" => "C","À" => "A","Á" => "A","Ã" => "A","Â" => "A",
                                            
                                            "É" => "E","Ê" => "E","È" => "E","Ẽ" => "E", "Í" => "I","Î" => "I","Ó" => "O","Õ" => "O","Ô" => "O","Ò" => "O","Ù" => "U","Ú" => "U","Ü" => "U","." => "",
                                            
                                            "ñ" => "n", "Ñ" => "N"
                                        );
    private static $remover_invalidos = array(
                                            "ª" => "", "º" => "", "à" => "a","á" => "a","ã" => "a","â" => "a","é" => "e","ê" => "e","ì" => "i","í" => "i",
                                            "ó" => "o", "õ" => "o","ô" => "o","ú" => "u","ü" => "u","ç" => "c","À" => "A","Á" => "A","Ã" => "A","Â" => "A",
                                            "É" => "E","Ê" => "E","Í" => "I","Ó" => "O","Õ" => "O","Ô" => "O","Ù" => "U","Ú" => "U","Ü" => "U", " " => "_",
                                            "." => ""
    );
    
    const DATA_OPERATION_INSERT = 'INSERT';
    const DATA_OPERATION_UPDATE = 'UPDATE';
    const DATA_OPERATION_DELETE = 'DELETE';
    
    const SIM = 'S';
    const NAO = 'N';
    
    const DEFAULT_ACTIVATION_ROW_FIELD = 'IDATIVO';
    
    const DEFAULT_NRPARCNEGOCIO_ORG_PADRAO = '191007531';
    
    const CRLF = "\r\n";
    const LF = "\n";

    public static function removeCaracteresEspeciais($str){
        return strtr($str, self::$remover_especiais);
    }

    public static function removeCaracteresInvalidos($str){
        return strtr($str, self::$remover_invalidos);
    }
    	 
    public static function getFileServerUrl() {	 
        return InstanceManager::getInstance()->getParameter('httpInterface');	 
    }	 
    	 

}